<%@ page contentType="text/html; charset=utf-8"
         pageEncoding="utf-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="format-detection" content="telephone=no">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
    <meta name="renderer" content="webkit">
    <!-- 移动设备 viewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <jsp:include page="../../common.jsp"/>
</head>
<body>
<div class="wrapper wrapper-content mt5 right-content ml5 mr5">
    <div class="toolbar-panel bdd">
        <!--搜索条件 -->
        <%--<form action="${ctx}/inviteRate/page" method="get" id="condition">
            <div class="toolbar-body">
                <div class="row pt10 pb10 whitebg ml0 mr0">
                    <span class="dlblock w100 textr">开始日期</span>
                    <span class="bdc pt6 pb6 pl6 pr5 w180 dlblock">
							 <input type="text" placeholder="" id="date1" class="w150">
							 <i class="fa fa-calendar"></i>
						</span>
                    <span class="dlblock w100 textr">结束日期</span>
                    <span class="bdc pt6 pb6 pl6 pr5 w180 dlblock">
						<input type="text" placeholder="" id="date2" class="w150">
							<i class="fa fa-calendar"></i>
						</span>
                </div>
            </div>
        </form>--%>
    </div>
</div>

<div class="mb50 mt10">
    <div class="whitebg pl10 pr10">
        <table class="layui-hide" id="inviteRateTab" lay-filter="inviteRateTab"></table>
    </div>
</div>

<script type="text/html" id="toolbarDemo">
    <div class="layui-btn-container">
        <button class="layui-btn layui-btn-sm" lay-event="add">添加</button>
        <button class="layui-btn layui-btn-sm" lay-event="search">查询</button>
    </div>
</script>

<script type="text/html" id="barDemo">
    <a class="layui-btn layui-btn-xs" lay-event="edit">编辑</a>
    <a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="del">删除</a>
</script>

<script>
    var dictList = JSON.parse('${dictList}');
    layui.use(['table', 'layer','laydate' ], function () {
        var table = layui.table;
        var layer = layui.layer;
        var laydate=layui.laydate;
        /*laydate.render({
            elem: '#date1', //指定元素
            format:'yyyy-MM-dd 00:00:00'
        });
        laydate.render({
            elem: '#date2', //指定元素
            format:'yyyy-MM-dd 23:59:59'
        });*/

        var tableIns = table.render({
            elem: '#inviteRateTab'
            , url: '${ctx}/inviteRate/page'
            , response: {
                statusName: 'code' //数据状态的字段名称，默认：code
                , countName: 'count' //数据总数的字段名称，默认：count
                , dataName: 'data' //默数据列表的字段名称，认：data
                , statusCode: 200
            }
            , parseData: function (res) { //res 即为原始返回的数据
                return {
                    "code": res.code, //解析接口状态
                    "msg": res.message, //解析提示文本
                    "count": res.data.total, //解析数据长度
                    "data": res.data.records //解析数据列表
                };
            }
            , toolbar: '#toolbarDemo' //开启头部工具栏，并为其绑定左侧模板
            , defaultToolbar: ['filter', 'exports', 'print', { //自定义头部工具栏右侧图标。如无需自定义，去除该参数即可
                title: '提示'
                , layEvent: 'LAYTABLE_TIPS'
                , icon: 'layui-icon-tips'
            }]
            , title: '邀请商户费率阶梯表'
            , cols: [[
                {type: 'checkbox', fixed: 'left', hidden: true}
                , {field: '', title: '序号', fixed: 'left', unresize: true, width: 80, sort: true, type: 'numbers'}
                , {field: 'number', title: '邀请数量',align: "center"}
                , {field: 'rate', title: '费率%',align: "center",templet:function (d) {
                        return d.rate + '%';
                    }}
                , {field: 'type', title: '类别',align: "center",templet:function (d) {
                    return getDictText(d.type,dictList,'value');
                  }}
                , {field: 'actId', title: '关联活动id',align: "center"}
                , {field: 'actName', title: '关联活动名称',align: "center"}
                , {field: 'startTime', title: '开始时间',align: "center",
                    templet: "<div>{{layui.util.toDateString(d.startTime, 'yyyy-MM-dd')}}</div>"}
                , {field: 'endTime', title: '结束时间',align: "center",
                    templet: "<div>{{layui.util.toDateString(d.endTime, 'yyyy-MM-dd')}}</div>"}
                , {field: 'createTime', title: '创建日期', sort: true,align: "center", width: 160,
                    templet: "<div>{{layui.util.toDateString(d.createTime, 'yyyy-MM-dd HH:mm:ss')}}</div>"}
                , {field: 'updateTime', title: '修改时间', sort: true,align: "center", width: 160,
                    templet: "<div>{{layui.util.toDateString(d.updateTime, 'yyyy-MM-dd HH:mm:ss')}}</div>"}
                , {fixed: 'right', title: '操作',align: "center", toolbar: '#barDemo'}
            ]]
            , request: {
                pageName: 'current' //页码的参数名称，默认：page
                , limitName: 'size' //每页数据量的参数名，默认：limit
            }
            , page: true
            , done: function () {
                $("[data-field='forceUpdate']").children().each(function () {
                    if ($(this).text() == '0') {
                        $(this).text('否');
                    } else if ($(this).text() == '1') {
                        $(this).text('是');
                    }
                });
            }
        });

        //头工具栏事件
        table.on('toolbar(inviteRateTab)', function (obj) {
            switch (obj.event) {
                case 'add':
                    // 添加
                    toAdd();
                    break;
                case 'search':
                    // 查询
                    // $("#condition").submit();
                    tableIns.reload({
                        /*where: { //设定异步数据接口的额外参数，任意设
                            startTime: $("#date1").val(),
                            endTime: $("#date2").val()
                        }*/
                        page: {
                            curr: 1 //重新从第 1 页开始
                        }
                    });
                    break;
            }
        });

        //监听行工具事件
        table.on('tool(inviteRateTab)', function (obj) {
            var data = obj.data;
            //console.log(obj)
            if (obj.event === 'del') {
                layer.confirm('真的删除行么?', function (index) {
                    obj.del(data);
                    layer.close(index);
                    del(obj);
                });
            } else if (obj.event === 'edit') {
                toAdd(obj.data);
            }
        });

        function toAdd(obj) {
            var url = '${ctx}/inviteRate/detail';
            if (obj != undefined) {
                url = "${ctx}/inviteRate/detail/" + obj.id
            }
            var index = layer.open({
                type: 2
                , shade: 0.5
                , maxmin: true
                , content: url
                , area: ['550px', '550px']
            });
        }

        function del(obj) {
            $.ajax({
                url: '${ctx}/inviteRate/del',
                method: 'delete',
                data: JSON.stringify(obj.data),
                dataType: 'JSON',
                contentType: "application/json",
                success: function (res) {
                    if (res.code == 200) {
                        layer.msg(res.message, {
                            icon: 1
                        });
                    } else {
                        layer.msg(res.message, {
                            icon: 5
                        });
                    }
                }
            })
        }
    });
</script>
</body>
</html>

